Subject: Re: powerpc allnoconfig

From: Andrew Morton <[email-masked]>
Date: Mon, 2 Mar 2009 21:38:01 -0800

On Tue, 3 Mar 2009 15:40:43 +1100 Stephen Rothwell <[email-masked]> wrote:

> Hi Andrew,
> 
> On Mon, 2 Mar 2009 20:08:09 -0800 Andrew Morton <[email-masked]> wrote:
> >
> > > Right, you have a 64 bit only compiler. Also it is version 4.1.0 which we now black ban (I think).
> > 
> > Probably.  But I only use it for compilation testing, so the `Your
> > version of gcc miscompiles the __weak directive' thing is a pointless
> > PITA, so I patch it out.
> 
> Ah, ok.
> 
> > > let us know if that works :-)
> > 
> > didn't.  Oh well.
> 
> Rats!
> 
> I think we need a better bug report :-)
> Kernel version?

Current mainline.

> What error do you get now?

Same as before.

> allmodconfig and defconfig turn CONFIG_PPC64 on.  allnoconfig turns it
> off so you are trying to build a 32 bit kernel with a 64 bit compiler.

Oh.  Well that will tear it.

How does one prepare a powerpc64 allnoconfig?